diff --git a/.gitlab-ci.d/containers.yml b/.gitlab-ci.d/containers.yml
index 8ad15874e6e..e2f59a4524f 100644
--- a/.gitlab-ci.d/containers.yml
+++ b/.gitlab-ci.d/containers.yml
@@ -54,6 +54,8 @@ amd64-debian10-container:
 amd64-debian11-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian11
 
 alpha-debian-cross-container:
@@ -61,6 +63,8 @@ alpha-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-alpha-cross
 
 amd64-debian-cross-container:
@@ -68,6 +72,8 @@ amd64-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-amd64-cross
 
 amd64-debian-user-cross-container:
@@ -75,6 +81,8 @@ amd64-debian-user-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-all-test-cross
 
 amd64-debian-container:
@@ -82,6 +90,8 @@ amd64-debian-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-amd64
 
 arm64-debian-cross-container:
@@ -89,6 +99,8 @@ arm64-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-arm64-cross
 
 arm64-test-debian-cross-container:
@@ -96,6 +108,8 @@ arm64-test-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian11-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-arm64-test-cross
 
 armel-debian-cross-container:
@@ -103,6 +117,8 @@ armel-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-armel-cross
 
 armhf-debian-cross-container:
@@ -117,6 +133,8 @@ hppa-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: debian-hppa-cross
 
 m68k-debian-cross-container:
@@ -218,6 +236,8 @@ xtensa-debian-cross-container:
 cris-fedora-cross-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: fedora-cris-cross
 
 amd64-fedora-container:
@@ -251,14 +271,20 @@ win64-fedora-cross-container:
 amd64-ubuntu1804-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: ubuntu1804
 
 amd64-ubuntu2004-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: ubuntu2004
 
 amd64-ubuntu-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     NAME: ubuntu
diff --git a/.gitlab-ci.d/crossbuilds.yml b/.gitlab-ci.d/crossbuilds.yml
index a7e69a54074..56e362ee421 100644
--- a/.gitlab-ci.d/crossbuilds.yml
+++ b/.gitlab-ci.d/crossbuilds.yml
@@ -38,6 +38,8 @@ cross-armel-system:
 cross-armel-user:
   extends: .cross_user_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-armel-cross
 
 cross-armhf-system:
@@ -53,11 +55,15 @@ cross-armhf-user:
 cross-arm64-system:
   extends: .cross_system_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-arm64-cross
 
 cross-arm64-user:
   extends: .cross_user_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-arm64-cross
 
 cross-mips-system:
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index ebb40fbf546..bafbdc0e1a7 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -84,6 +84,8 @@ include:
 build-system-ubuntu:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: ubuntu2004
     TARGETS: aarch64-softmmu alpha-softmmu cris-softmmu hppa-softmmu
       moxie-softmmu microblazeel-softmmu mips64el-softmmu
@@ -100,6 +102,8 @@ check-system-ubuntu:
     - job: build-system-ubuntu
       artifacts: true
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: ubuntu2004
     MAKE_CHECK_ARGS: check
 
@@ -109,6 +113,8 @@ integration-system-ubuntu:
     - job: build-system-ubuntu
       artifacts: true
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: ubuntu2004
     MAKE_CHECK_ARGS: check-acceptance
 
@@ -220,6 +226,8 @@ integration-system-centos:
 build-disabled:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: fedora
     CONFIGURE_ARGS: --disable-attr --disable-avx2 --disable-bochs
       --disable-brlapi --disable-bzip2 --disable-cap-ng --disable-capstone
@@ -267,6 +275,8 @@ build-tcg-disabled:
 build-user:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-all-test-cross
     CONFIGURE_ARGS: --disable-tools --disable-system
     MAKE_CHECK_ARGS: check-tcg
@@ -277,6 +287,8 @@ build-user:
 build-user-plugins:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-all-test-cross
     CONFIGURE_ARGS: --disable-tools --disable-system --enable-plugins --enable-debug-tcg --target-list-exclude=sparc64-linux-user,cris-linux-user
     MAKE_CHECK_ARGS: check-tcg
@@ -297,6 +309,8 @@ build-clang:
 build-deprecated:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-all-test-cross
     CONFIGURE_ARGS: --disable-docs --disable-tools
     MAKE_CHECK_ARGS: build-tcg
@@ -315,6 +329,8 @@ check-deprecated:
     - job: build-deprecated
       artifacts: true
   variables:
+    JOB_MAINTAINER_NAME: "Alex Bennée"
+    JOB_MAINTAINER_EMAIL: alex.bennee@linaro.org
     IMAGE: debian-all-test-cross
     MAKE_CHECK_ARGS: check-tcg
   allow_failure: true