diff --git a/.gitlab-ci.d/containers.yml b/.gitlab-ci.d/containers.yml
index e2f59a4524f..7e62346ffc5 100644
--- a/.gitlab-ci.d/containers.yml
+++ b/.gitlab-ci.d/containers.yml
@@ -49,6 +49,8 @@ amd64-centos8-container:
 amd64-debian10-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian10
 
 amd64-debian11-container:
@@ -126,6 +128,8 @@ armhf-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-armhf-cross
 
 hppa-debian-cross-container:
@@ -142,6 +146,8 @@ m68k-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-m68k-cross
 
 mips64-debian-cross-container:
@@ -149,6 +155,8 @@ mips64-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-mips64-cross
 
 mips64el-debian-cross-container:
@@ -156,6 +164,8 @@ mips64el-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-mips64el-cross
 
 mips-debian-cross-container:
@@ -163,6 +173,8 @@ mips-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-mips-cross
 
 mipsel-debian-cross-container:
@@ -170,6 +182,8 @@ mipsel-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-mipsel-cross
 
 powerpc-debian-cross-container:
@@ -177,6 +191,8 @@ powerpc-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-powerpc-cross
 
 ppc64-debian-cross-container:
@@ -212,6 +228,8 @@ sh4-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-sh4-cross
 
 sparc64-debian-cross-container:
@@ -219,6 +237,8 @@ sparc64-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-sparc64-cross
 
 tricore-debian-cross-container:
@@ -226,11 +246,15 @@ tricore-debian-cross-container:
   stage: containers-layer2
   needs: ['amd64-debian10-container']
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-tricore-cross
 
 xtensa-debian-cross-container:
   extends: .container_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     NAME: debian-xtensa-cross
 
 cris-fedora-cross-container:
diff --git a/.gitlab-ci.d/crossbuilds.yml b/.gitlab-ci.d/crossbuilds.yml
index 56e362ee421..f87bdf4fa0f 100644
--- a/.gitlab-ci.d/crossbuilds.yml
+++ b/.gitlab-ci.d/crossbuilds.yml
@@ -45,6 +45,8 @@ cross-armel-user:
 cross-armhf-system:
   extends: .cross_system_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-armhf-cross
 
 cross-armhf-user:
@@ -69,31 +71,43 @@ cross-arm64-user:
 cross-mips-system:
   extends: .cross_system_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mips-cross
 
 cross-mips-user:
   extends: .cross_user_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mips-cross
 
 cross-mipsel-system:
   extends: .cross_system_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mipsel-cross
 
 cross-mipsel-user:
   extends: .cross_user_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mipsel-cross
 
 cross-mips64el-system:
   extends: .cross_system_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mips64el-cross
 
 cross-mips64el-user:
   extends: .cross_user_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-mips64el-cross
 
 cross-ppc64el-system:
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 4df45214620..6cf4c19c604 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -121,6 +121,8 @@ integration-system-ubuntu:
 build-system-debian:
   extends: .native_build_job
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-amd64
     TARGETS: arm-softmmu avr-softmmu i386-softmmu mipsel-softmmu
       riscv64-softmmu sh4eb-softmmu sparc-softmmu xtensaeb-softmmu
@@ -137,6 +139,8 @@ check-system-debian:
     - job: build-system-debian
       artifacts: true
   variables:
+    JOB_MAINTAINER_NAME: "Philippe Mathieu-Daudé"
+    JOB_MAINTAINER_EMAIL: f4bug@amsat.org
     IMAGE: debian-amd64
     MAKE_CHECK_ARGS: check
 